com.google.cloud.dataflow.sdk.options

## Enum DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType

- java.lang.Object
- - java.lang.Enum<DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType>
  - - com.google.cloud.dataflow.sdk.options.DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType

All Implemented Interfaces:
  Serializable, Comparable<DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType>

Enclosing interface:
  DataflowPipelineWorkerPoolOptions

    @Experimental(value=AUTOSCALING)
    public static enum DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType
    extends Enum<DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType>

Type of autoscaling algorithm to use.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASIC` Deprecated.
`NONE` Use numWorkers machines.
`THROUGHPUT_BASED` Autoscale the workerpool based on throughput (up to maxNumWorkers).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAlgorithm()` Returns the string representation of this type.
`static DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType NONE

Use numWorkers machines. Do not autoscale the worker pool.

#### BASIC

    @Deprecated
    public static final DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType BASIC

Deprecated.

#### THROUGHPUT_BASED

    public static final DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType THROUGHPUT_BASED

Autoscale the workerpool based on throughput (up to maxNumWorkers).

### Method Detail

#### values

    public static DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType c : DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataflowPipelineWorkerPoolOptions.AutoscalingAlgorithmType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getAlgorithm

    public String getAlgorithm()

Returns the string representation of this type.